Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.cache.interceptor
Class CacheAspectSupport.CacheOperationContext

    java.lang.Object
      org.springframework.cache.interceptor.CacheAspectSupport.CacheOperationContext

Enclosing class:
  CacheAspectSupport

    protected class CacheAspectSupport.CacheOperationContext

extends java.lang.Object

Constructor Summary
`CacheAspectSupport.CacheOperationContext(CacheOperation operation, java.lang.reflect.Method method, java.lang.Object[] args, java.lang.Object target, java.lang.Class<?> targetClass)`

Method Summary
`protected java.lang.Object` | `generateKey()` Computes the key for the given caching operation.
`protected java.util.Collection<Cache>` | `getCaches()`
`protected boolean` | `isConditionPassing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheAspectSupport.CacheOperationContext

    public CacheAspectSupport.CacheOperationContext(CacheOperation operation,
                                                    java.lang.reflect.Method method,
                                                    java.lang.Object[] args,
                                                    java.lang.Object target,
                                                    java.lang.Class<?> targetClass)

Method Detail

### isConditionPassing

    protected boolean isConditionPassing()

### generateKey

    protected java.lang.Object generateKey()

  Computes the key for the given caching operation.

  Returns:
    generated key (null if none can be generated)

### getCaches

    protected java.util.Collection<Cache> getCaches()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD